_Elm_Win_Trap Struct Reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Elm_Win_Trap Struct Reference
Elementary » Win

## Data Fields
unsigned long | version
void *(* | add )(Evas_Object *o)
| object was just added.
void(* | del )(void *data, Evas_Object *o)
| object will be deleted.
Eina_Bool(* | hide )(void *data, Evas_Object *o)
Eina_Bool(* | show )(void *data, Evas_Object *o)
Eina_Bool(* | move )(void *data, Evas_Object *o, int x, int y)
Eina_Bool(* | resize )(void *data, Evas_Object *o, int w, int h)
Eina_Bool(* | center )(void *data, Evas_Object *o, Eina_Bool h, Eina_Bool v)
Eina_Bool(* | lower )(void *data, Evas_Object *o)
Eina_Bool(* | raise )(void *data, Evas_Object *o)
Eina_Bool(* | activate )(void *data, Evas_Object *o)
Eina_Bool(* | alpha_set )(void *data, Evas_Object *o, Eina_Bool alpha)
Eina_Bool(* | aspect_set )(void *data, Evas_Object *o, double aspect)
Eina_Bool(* | avoid_damage_set )(void *data, Evas_Object *o, Ecore_Evas_Avoid_Damage_Type on)
Eina_Bool(* | borderless_set )(void *data, Evas_Object *o, Eina_Bool on)
Eina_Bool(* | demand_attention_set )(void *data, Evas_Object *o, Eina_Bool on)
Eina_Bool(* | focus_skip_set )(void *data, Evas_Object *o, Eina_Bool skip)
Eina_Bool(* | fullscreen_set )(void *data, Evas_Object *o, Eina_Bool on)
Eina_Bool(* | iconified_set )(void *data, Evas_Object *o, Eina_Bool on)
Eina_Bool(* | layer_set )(void *data, Evas_Object *o, int layer)
Eina_Bool(* | manual_render_set )(void *data, Evas_Object *o, Eina_Bool manual_render)
Eina_Bool(* | maximized_set )(void *data, Evas_Object *o, Eina_Bool on)
Eina_Bool(* | modal_set )(void *data, Evas_Object *o, Eina_Bool on)
Eina_Bool(* | name_class_set )(void *data, Evas_Object *o, const char *n, const char *c)
Eina_Bool(* | object_cursor_set )(void *data, Evas_Object *o, Evas_Object *obj, int layer, int hot_x, int hot_y)
Eina_Bool(* | override_set )(void *data, Evas_Object *o, Eina_Bool on)
Eina_Bool(* | rotation_set )(void *data, Evas_Object *o, int rot)
Eina_Bool(* | rotation_with_resize_set )(void *data, Evas_Object *o, int rot)
Eina_Bool(* | shaped_set )(void *data, Evas_Object *o, Eina_Bool shaped)
Eina_Bool(* | size_base_set )(void *data, Evas_Object *o, int w, int h)
Eina_Bool(* | size_step_set )(void *data, Evas_Object *o, int w, int h)
Eina_Bool(* | size_min_set )(void *data, Evas_Object *o, int w, int h)
Eina_Bool(* | size_max_set )(void *data, Evas_Object *o, int w, int h)
Eina_Bool(* | sticky_set )(void *data, Evas_Object *o, Eina_Bool sticky)
Eina_Bool(* | title_set )(void *data, Evas_Object *o, const char *t)
Eina_Bool(* | urgent_set )(void *data, Evas_Object *o, Eina_Bool urgent)
Eina_Bool(* | withdrawn_set )(void *data, Evas_Object *o, Eina_Bool withdrawn)

## Field Documentation

## ◆ add

void *(* _Elm_Win_Trap::add) (Evas_Object *o)

object was just added.

The returned pointer will be handled to every other trap call.